Summary:	SOAP (Simple Object Access Protocol) implementation in C
Summary(pl.UTF-8):	Implementacja w C SOAP (Simple Object Access Protocol)
Name:		libsoup
Version:	2.64.2
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libsoup/2.64/%{name}-%{version}.tar.xz
# Source0-md5:	cac755dc6c6acd6e0c70007f547548f5
URL:		https://wiki.gnome.org/Projects/libsoup
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.38.0
BuildRequires:	gobject-introspection-devel >= 0.10.0
BuildRequires:	gtk-doc >= 1.20
BuildRequires:	heimdal-devel
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libpsl-devel >= 0.20.0
BuildRequires:	libtool >= 2:2.0
BuildRequires:	libxml2-devel >= 1:2.6.31
BuildRequires:	pkgconfig
BuildRequires:	sqlite3-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	glib2 >= 1:2.38.0
Requires:	libpsl >= 0.20.0
Suggests:	glib-networking
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
It provides an queued asynchronous callback-based mechanism for
sending and servicing SOAP requests, and a WSDL (Web Service
Definition Language) to C compiler which generates client stubs and
server skeletons for easily calling and implementing SOAP methods.

%description -l pl.UTF-8
Pakiet dostarcza interfejs kolejkowalnego, asynchronicznego mechanizmu
do wysyłania i serwowania żądań SOAP oraz WSDL (Web Service Definition
Language) dla kompilatora C, który generuje klienckie stub i szkielety
serwerów dla łatwego wywoływania i implementowania metod SOAP.

%package devel
Summary:	Include files etc to develop SOAP applications
Summary(pl.UTF-8):	Pliki nagłówkowe, dokumentacja dla SOAP
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.38.0
Requires:	libxml2-devel >= 1:2.6.31

%description devel
Header files, etc you can use to develop SOAP applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe itp. Jednym słowem wszystko czego potrzebujesz aby
samemu tworzyć sobie aplikacje korzystające z SOAP.

%package static
Summary:	SOAP static libraries
Summary(pl.UTF-8):	Biblioteki statyczne SOAP
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
SOAP static libraries.

%description static -l pl.UTF-8
Biblioteki statyczne SOAP.

%package gnome
Summary:	GNOME specific extensions to libsoup library
Summary(pl.UTF-8):	Rozszerzenia GNOME do biblioteki libsoup
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description gnome
GNOME specific extensions to libsoup library.

%description gnome -l pl.UTF-8
Rozszerzenia GNOME do biblioteki libsoup.

%package gnome-devel
Summary:	Header files for libsoup-gnome library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libsoup-gnome
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-gnome = %{version}-%{release}

%description gnome-devel
Header files for libsoup-gnome library.

%description gnome-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libsoup-gnome.

%package gnome-static
Summary:	Static libsoup-gnome library
Summary(pl.UTF-8):	Statyczna biblioteka libsoup-gnome
Group:		Development/Libraries
Requires:	%{name}-gnome-devel = %{version}-%{release}

%description gnome-static
Static libsoup-gnome library.

%description gnome-static -l pl.UTF-8
Statyczna biblioteka libsoup-gnome.

%package apidocs
Summary:	libsoup API documentation
Summary(pl.UTF-8):	Dokumentacja API libsoup
Group:		Documentation
Requires:	gtk-doc-common
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
libsoup API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API libsoup.

%package -n vala-libsoup
Summary:	libsoup API for Vala language
Summary(pl.UTF-8):	API libsoup dla języka Vala
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description -n vala-libsoup
libsoup API for Vala language.

%description -n vala-libsoup -l pl.UTF-8
API libsoup dla języka Vala.

%prep
%setup -q

%build
%{__gtkdocize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-gtk-doc \
	--with-html-dir=%{_gtkdocdir} \
	--without-apache-httpd \
	--disable-tls-check \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang libsoup

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post	gnome -p /sbin/ldconfig
%postun	gnome -p /sbin/ldconfig

%files -f libsoup.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_libdir}/libsoup-2.4.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsoup-2.4.so.1
%{_libdir}/girepository-1.0/Soup-2.4.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsoup-2.4.so
%{_includedir}/libsoup-2.4
%{_pkgconfigdir}/libsoup-2.4.pc
%{_datadir}/gir-1.0/Soup-2.4.gir

%files static
%defattr(644,root,root,755)
%{_libdir}/libsoup-2.4.a

%files gnome
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsoup-gnome-2.4.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsoup-gnome-2.4.so.1
%{_libdir}/girepository-1.0/SoupGNOME-2.4.typelib

%files gnome-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsoup-gnome-2.4.so
%{_includedir}/libsoup-gnome-2.4
%{_pkgconfigdir}/libsoup-gnome-2.4.pc
%{_datadir}/gir-1.0/SoupGNOME-2.4.gir

%files gnome-static
%defattr(644,root,root,755)
%{_libdir}/libsoup-gnome-2.4.a

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libsoup-2.4

%files -n vala-libsoup
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/libsoup-2.4.deps
%{_datadir}/vala/vapi/libsoup-2.4.vapi
%changelog
* Mon Oct 29 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libsoup.git;a=log;h=master

* Mon Oct 29 2018 Jakub Bogusz <qboosh@pld-linux.org> 5004dd7
- updated to 2.64.2

* Sat Oct 06 2018 Jakub Bogusz <qboosh@pld-linux.org> 86d19c6
- updated to 2.64.1

* Mon Mar 12 2018 Marcin Banasiak <marcin.banasiak@gmail.com> fba3e36
- Update to 2.62.0

* Tue Jan 09 2018 Marcin Banasiak <marcin.banasiak@gmail.com> 3b5323c
- Update to 2.60.3

* Sat Oct 28 2017 Marcin Banasiak <marcin.banasiak@gmail.com> df75cbc
- Update to 2.60.2

* Wed Oct 11 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 5a7a2bd
- Update to 2.60.1

* Wed Sep 13 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 8ed8287
- Update to 2.60.0

* Mon May 08 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 3012b2b
- Update to 2.58.1

* Mon Apr 24 2017 Jakub Bogusz <qboosh@pld-linux.org> 727ea64
- updated to 2.58.0

* Fri Dec 02 2016 Tomasz Pala <gotar@pld-linux.org> 369ae86
- glib-networking is not strictly required

* Wed Sep 21 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 2e15734
- Update to 2.56.0

* Wed May 11 2016 Jakub Bogusz <qboosh@pld-linux.org> c36d84f
- updated to 2.54.1 (NOTE: fixes ABI break in 2.54.0; packages built against 2.54.0 need to be rebuilt)

* Fri Apr 29 2016 Elan Ruusamäe <glen@delfi.ee> 8df3eb7
- noarch apidocs

* Fri Apr 15 2016 Jakub Bogusz <qboosh@pld-linux.org> 0bbb9de
- updated gtk-doc version

* Mon Mar 28 2016 Elan Ruusamäe <glen@delfi.ee> 9e591aa
- noarch vala subpackage

* Thu Mar 24 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 475c1a8
- Update to 2.54.0.1

* Fri Nov 13 2015 Jakub Bogusz <qboosh@pld-linux.org> fb91c5f
- updated to 2.52.2

* Thu Oct 15 2015 Jakub Bogusz <qboosh@pld-linux.org> db116df
- updated to 2.52.1

* Thu Sep 24 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 086a622
- Update to 2.52.0

* Mon Mar 23 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 3c244bc
- Update to 2.50.0

